package com.lightinit.hsdatashow.controller.admin;

import com.lightinit.hsdatashow.entity.RdPersonnel;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.admin.SpreadListModel;
import com.lightinit.hsdatashow.model.admin.UrbanRuralGdpListModel;
import com.lightinit.hsdatashow.service.admin.IInnovateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;

import java.util.List;

@Controller
@RequestMapping(value = "/admin/innovate")
public class InnovateController {
    @Autowired
    private IInnovateService iInnovateService;


    @RequestMapping(value = "/index.htm")
    public ModelAndView index(){
        ModelAndView modelAndView = new ModelAndView("admin/innovate/index") ;
        return modelAndView ;
    }

    @ResponseBody
    @RequestMapping(value = "/getRDpersonnel.action")
    public SpreadListModel getRDpersonnel(){
        return iInnovateService.getRDpersonnel();
    }
    @ResponseBody
    @RequestMapping(value = "/getRDpersonnel1.action")
    public ResultState getRDpersonnel1(){
        return iInnovateService.getRDpersonnel1();
    }
    @ResponseBody
    @RequestMapping(value = "/getTechnicalProducts.action")
    public SpreadListModel getTechnicalProducts(){
        return iInnovateService.getTechnicalProducts();
    }
    @ResponseBody
    @RequestMapping(value = "/getPatentAuthorization.action")
    public ResultState getPatentAuthorization(){
        return iInnovateService.getPatentAuthorization();
    }

    @ResponseBody
    @RequestMapping(value = "/getPatentAuthorization1.action")
    public SpreadListModel  getPatentAuthorization1(){
        return iInnovateService.getPatentAuthorization1();
    }
    @ResponseBody
    @RequestMapping(value = "/getScientistsEngineers.action")
    public SpreadListModel  getScientistsEngineers(){
        return iInnovateService.getScientistsEngineers();
    }


}
